#
# spec file for package axe (Version 6.1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         axe
Copyright:    distributable
Group:        X11/Applications
Provides:     aXe
Requires:     xaw3d
Autoreqprov:  on
Version:      6.1.2
Release:      397
Summary:      A simple to use X11 editor
Source:       aXe3D-%{version}.tar.bz2
Patch:        aXe3D-%{version}.dif
Patch1:       aXe3D-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This simple to use editor features: multiple windows, multiple buffers,
configurable menus and buttons, access to external filters, keyboard
macros, comprehensive on-line help, ...

Authors:
--------
    Jim Wight <j.k.wight@newcastle.ac.uk>

SuSE series: xap

%prep
%setup -n aXe3D-6.1.2
%patch
%patch1

%build
xmkmf -a
make Makefiles
make Xaw3d
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT HISTORY README*
/usr/X11R6/bin/*
%config /usr/X11R6/lib/X11/app-defaults/*
/usr/X11R6/lib/X11/axe.tcl
%doc /usr/X11R6/man/man1/*
%doc /usr/X11R6/man/man3/FileNom*
%doc %{_infodir}/*

%changelog -n axe
* Wed Apr 18 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Mon Oct 30 2000 - cihlar@suse.cz
- bzipped sources
- fixed to work with XFree 4.x [#4214]
- improved optimalization
* Wed May 10 2000 - cihlar@suse.cz
- changed to version which uses Xaw3d
* Wed Mar 22 2000 - cihlar@suse.cz
- added BuildRoot
- fixed help
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/info -> /usr/share/info
* Tue Oct 19 1999 - fehr@suse.de
- make axinfo work woth compressed info files
- split patch into one common for axe and axe3d and a specific one
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 20 1999 - ro@suse.de
- build on alpha as well
- axe and axe3d share one directory
* Wed Sep 16 1998 - ro@suse.de
- catch redefinitions of sys_errlist
